Skip to content

Updates the name of a custom field defined for the contacts of a group.

Request

Replaces the name of the custom field identified by fieldId.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

userGroupIdstring, (uuid)required

Unique identifier of the user group

fieldIdstring, (uuid)required

Unique identifier of the contact custom field.

Bodyapplication/jsonrequired

The replacement custom field name.

namestringrequired

The contact custom field name.

Example:"Tax code"
PUT
/api/v1/organizations/{organizationId}/user-groups/{userGroupId}/contact-custom-fields/{fieldId}
curl -i -X PUT \
  '/api/v1/organizations/{organizationId}/user-groups/{userGroupId}/contact-custom-fields/{fieldId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Tax code"
  }'

Responses

No Content

Response
No content